/*
 * @Author: wjc
 * @Date: 2023-05-16 15:33:53
 * @LastEditors: LiZhiWei
 * @LastEditTime: 2026-01-13 15:13:32
 * @Description: 支持 unocss 动态图标，在 uno.config.ts 中的 safelist 使用
 */
import * as fs from 'node:fs'
import ep from '@iconify-json/ep/icons.json'

const epList = Object.keys(ep.icons).map((i) => `i-ep-${i}`)
let custom: string[] = []

const files = fs.readdirSync('./app/assets/icons/')
custom = files.map((item: string) => `i-custom-${item.replace('.svg', '')}`)

const iconList = [...epList, ...custom]

export default iconList
